Subject: Re: bug#61962: 30.0.50; New trouble with symbols with positions

From: Robert Pluim <[email-masked]>
Date: Tue, 07 Mar 2023 14:51:38 +0100

>>>>> On Tue, 07 Mar 2023 15:13:40 +0200, Eli Zaretskii <[email-masked]> said:

    >> Date: Tue, 7 Mar 2023 10:24:41 +0000
    >> Cc: Mattias Engdegård <[email-masked]>,
    >> Eli Zaretskii <[email-masked]>, [email-masked]
    >> From: Alan Mackenzie <[email-masked]>
    >> 
    >> I've now written safe-copy-tree, and committed it together with the fix
    >> in bytecomp.el to master.

    Eli> Next time when you post a patch and ask for comments, please allow
    Eli> some time for responses, including to those who might be in different
    Eli> time zones or have less free time on their hands.  13 hours you waited
    Eli> is definitely not enough.

Yes. I was going to ask "why canʼt copy-tree be fixed to support
circular lists instead of making people think about which function to
use?".

Robert
--